@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&display=swap');

:root {
	--primary-color: #890000;
	--background-color: #878787;
	--dark-color: #151515;
	--brillant-color: #ff0000;
	--panel: #4a4a4a;
	--z-fixed: 100;
	--header-height: 3.5rem;
	--font-semi-bold: 600;
	--text-white: #f3f3f3;
}

html {
	font-size: 62.5%;
	font-family: 'Poppins', sans-serif;
}

* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

/* ********************************** */
/*             UTILIDADES             */
/* ********************************** */
.container {
	max-width: 120rem;
	margin: 0 auto;
}

.heading-1 {
	text-align: center;
	font-weight: 500;
	font-size: 3rem;
}

/* ********************************** */
/*               HEADER               */
/* ********************************** */
.container-hero {
	background-color: var(--background-color);
}

.hero {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 2rem 0;
}

.customer-support {
	display: flex;
	align-items: center;
	gap: 2rem;
}

.customer-support i {
	font-size: 3.3rem;
}

.content-customer-support {
	display: flex;
	flex-direction: column;
}

.container-logo {
	display: flex;
	align-items: center;
	gap: 0.5rem;
}

.container-logo i {
	font-size: 3rem;
}

.container-logo h1 a {
	text-decoration: none;
	color: #000;
	font-size: 3rem;
	text-transform: uppercase;
	letter-spacing: -1px;
}

.container-user .fa-house-user {
	font-size: 3rem;
	color: var(--primary-color);
	padding-left: 1rem;
}

/* ********************************** */
/*               NAVBAR               */
/* ********************************** */

.container-navbar {
	background-color: var(--primary-color);
}

.navbar__container {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 3rem 0;
}

.nav-list {
	display: flex;
	gap: 2rem;
}

.nav-list li {
	list-style: none;
}

.nav-list a {
	text-decoration: none;
	font-size: 1.5rem; /*Cambiar el tamano del texto*/
	color: var(--text-white);
	font-weight: 600;
	text-transform: uppercase;
	position: relative;
	margin-right: 2rem;
}

.nav-list a::after {
	content: '';
	width: 1.5rem;
	height: 1px;
	background-color: #ff0000;
	position: absolute;
	bottom: -3px;
	left: 50%;
	transform: translate(-50%, 50%);
	opacity: 0;
	transition: all 0.3s ease;
}

.nav-list a:hover::after {
	opacity: 1;
}

.nav-list a:hover {
	color: #ff0000;
}

.header {
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	box-shadow:  0 2px 16px hsla(230, 75%, .15);
	z-index: var(--z-fixed);
}

.nav__toggle, .nav__close{
	margin-left: 2rem;
	font-size: 2.5rem; /*Tamano de los iconos*/
	color: var(--text-white);
	cursor: pointer;
	transition: color .4s;
}

:is(.nav__toggle, .nav__close, .nav__link):hover{
	color: var(--brillant-color);
}

/* ********************************** */
/*               BANNER               */
/* ********************************** */
.banner {
	height: 60rem;
	background-size: cover;
	background-position: center;
}

.content-banner {
	max-width: 200rem;
	margin: 0 auto;
	padding: 0rem 0;
    overflow: hidden;
}

.content-banner ul{
    display: flex;
    padding: 0;
    width: 200%;
    animation: slide 20s infinite alternate ease-in-out;
}

.content-banner li{
    width: 100%;
    list-style: none;
    position: relative;
}

@keyframes slide {
    0% { margin-left: 0; }
    20% { margin-left: 0; }

    25% { margin-left: -100%; }
    45% { margin-left: -100%; }

    50% { margin-left: -200%; }
    70% { margin-left: -200%; }

    75% { margin-left: -300%; }
    100% { margin-left: -300%; }
}

/* ********************************** */
/*            MAIN CONTENT            */
/* ********************************** */
.main-content {
	background-color: var(--background-color);
}
/* ********************************** */
/*                BLOGS               */
/* ********************************** */
.blogs {
	display: flex;
	flex-direction: column;
	gap: 5rem;
}

.container-blogs {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 3rem;
}

.card-blog {
	display: flex;
	flex-direction: column;
	gap: 1rem;
}

.card-blog .container-img {
	border-radius: 2rem;
	cursor: pointer;
	position: relative;
	overflow: hidden;
}

.button-group-blog {
	position: absolute;
	bottom: 1.5rem;
	right: -2.5rem;

	display: flex;
	gap: 0.7rem;
	z-index: -1;
	transition: all 0.3s ease;
}

.card-blog:hover .button-group-blog {
	z-index: 0;
	right: 1.5rem;
}

.button-group-blog span {
	background-color: #fff;
	padding: 1rem;
	border-radius: 50%;
	transition: all 0.4s ease;

	display: flex;
	align-items: center;
	justify-content: center;
}

.button-group-blog span i {
	font-size: 1.3rem;
}

.button-group-blog span:hover {
	background-color: var(--primary-color);
}

.button-group-blog span:hover i {
	color: #fff;
}

.content-blog h3 {
	font-size: 1.8rem;
	margin-bottom: 1.7rem;
	color: var(--dark-color);
	font-weight: 500;
}

.content-blog h3:hover {
	color: var(--primary-color);
	cursor: pointer;
}

.content-blog p {
	margin-top: 1rem;
	font-size: 1.4rem;
	color: #777;
}

.content-blog span {
	color: var(--primary-color);
	font-size: 1.3rem;
}

.btn-read-more {
	padding: 1rem 3rem;
	background-color: var(--primary-color);
	color: #fff;
	text-transform: uppercase;
	font-size: 1.4rem;
	border-radius: 2rem;
	margin: 3rem 0 5rem;
	display: inline-block;
	cursor: pointer;
}

.btn-read-more:hover {
	background-color: var(--dark-color);
}

/* ********************************** */
/*              FEATURES              */
/* ********************************** */
.container-features {
	display: grid;
	grid-template-columns: repeat(4, 1fr);
	gap: 3rem;
	padding: 6rem 0;
}

.card-feature {
	display: flex;
	align-items: center;
	justify-content: center;
	gap: 1.5rem;

	background-color: #fff;
	border-radius: 1rem;
	padding: 1.5rem 0;
}

.card-feature i {
	font-size: 2.7rem;
	color: var(--primary-color);
}

.feature-content {
	display: flex;
	flex-direction: column;
	gap: 0.5rem;
}

.feature-content span {
	font-weight: 700px;
	font-size: 1.2rem;
	color: var(--dark-color);
}

.feature-content p {
	color: #777;
	font-weight: 500;
}

/* ********************************** */
/*     Card quienes somos             */
/* ********************************** */

.top-categories {
	display: flex;
	gap: 17rem;
	margin-bottom: 3rem;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
}

.container-categories {
	display: grid;
	grid-template-columns: repeat(3, 1fr);
	gap: 3rem;
}

.card {
    width: 100%;
    margin: 20px;
    border-radius: 6px;
    overflow: hidden;
    background-image: url('image/warningwtc.png');
    box-shadow: 0px 1px 10px rgba(0,0,0,0.2);
    cursor: default;
    transition: all 400ms ease;
}

.card:hover {
    box-shadow: 5px 5px 20px rgba(0,0,0,0.4);
    transform: translateY(-3%)
}

.card .contenido {
    padding: 45px;
	width: 100%;
	height: 450px;
}

.card .contenido h2{
    line-height: 1.5;
    color: #000000;
}

/* ********************************** */
/*        Card mis,var,vis            */
/* ********************************** */


.carta {
    position: relative;
    width: 300px;
    height: 350px;
	margin: 20px;
}

.carta .face {
    position: absolute;
    width: 100%;
    height: 100%;
    backface-visibility: hidden;
    border-radius: 10px;
    overflow: hidden;
    transition: .5s;
}

.carta .front {
    transform: perspective(600px) rotateY(0deg);
    box-shadow: 0 5px 10px #000;
}

.carta .front img {
    position: absolute;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.carta .back .link {
    border-top: solid 1px #f3f3f3;
    height: 50px;
    line-height: 50px;
}

.carta .back .link a {
    color: #f3f3f3;
}

.carta .front h3{
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 45px;
    line-height: 45px;
    color: #fff;
    background: rgba(0,0,0,0.4);
    text-align: center;
}



.carta .back {
    transform: perspective(600px) rotateY(180deg);
    background: rgb(123, 0, 0);
    padding: 15px;
    color: #f3f3f3;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    text-align: center;
}

.carta .back h3 {
    font-size: 30px;
    margin-top: 20px;
    letter-spacing: 2px;
}

.carta .back p{
    letter-spacing: 1px;
}

.carta:hover .front{
    transform: perspective(600px) rotateY(180deg);
}

.carta:hover .back{
    transform: perspective(600px) rotateY(360deg);
}
.container-options span:hover {
	background-color: var(--primary-color);
	color: #fff;
}

.container-options span.active {
	background-color: var(--primary-color);
	color: #fff;
}


/********************************** */
/**                FOOTER               */
/* ********************************** */

.footer {
	background-color: #ff0000;
}

.container-footer {
	display: flex;
	flex-direction: column;
	gap: 4rem;
	padding: 6rem;
}

.copyright {
	display: flex;
	justify-content: space-between;
	padding-top: 2rem;
	border-top: 1px solid #ffffff;
}

.copyright p {
	color: #ffffff;
	font-weight: 400;
	font-size: 1.6rem;
}

/* ********************************** */
/*       MEDIA QUERIES -- 768px       */
/* ********************************** */
@media (max-width: 1023px) {

	html {
		font-size: 60%;
	}

	.hero {
		padding: 2rem;
	}

	.customer-support {
		display: none;
	}
	
	.menu {
		display: none;
	}

	.nav__menu{
		position: fixed;
		top: -100%;
		left: 0;
		background-color: var(--dark-color);
		box-shadow: 0 8px 16px hsla(230, 75%, .15);
		width: 100%;
		padding-block: 4.5rem 5rem;
		transition: top .4s;
	}

	.nav__link{
		color: var(--primary-color);
		font-weight: var(--font-semi-bold);
		transition: color .4s;
	}

	.nav-list{
		display: flex;
		flex-direction: column;
		row-gap: 2.5rem;
		text-align: center;
	}

	.nav__close{
		position: absolute;
		top: 1.15rem;
		right: 1.5rem;
	}

	.show-menu {
	top: 0;
	}
	
	.banner {
		height: 80rem;
		z-index: 1;
	}

	.content-banner {
		max-width: 20rem;
		padding: 22rem 0;
	}

	.heading-1 {
		font-size: 2.8rem;
	}

	.card-feature {
		flex-direction: column;
		border-radius: 2rem;
	}

	.feature-content {
		align-items: center;
	}

	.feature-content p {
		font-size: 1.4rem;
		text-align: center;
	}

	.feature-content span {
		font-size: 1.6rem;
		text-align: center;
	}

	.container {
    margin-inline: auto;
    }

	.container-options span {
		font-size: 1.8rem;
		padding: 1rem 1.5rem;
		font-weight: 500;
	}

	.container-products {
		grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
		gap: 1rem;
	}

	.container-img .discount {
		font-size: 2rem;
	}

	.content-card-product h3 {
		font-size: 2.2rem;
	}

	.blogs {
		padding: 2rem;
		grid-template-rows: repeat(1, 20rem);
	}

	.container-blogs {
		grid-template-columns: 1fr;
		height: 75rem;
	}

	.content-blog h3 {
		font-size: 2.4rem;
	}

	.content-blog span {
		font-size: 1.8rem;
	}

	.content-blog p {
		font-size: 1.5rem;
	}

	.btn-read-more{
		font-size: 1.8rem;
	}

	.contact-info ul,
	.information ul,
	.my-account ul{
		display: none;
	}

	.contact-info {
		align-items: center;
	}

	.menu-footer{
		grid-template-columns: 1fr;
	}

	.content p{
		font-size: 1.6rem;
	}

	.content-banner {
		max-width: 66rem;
		margin: 0 auto;
		padding: 0rem 0;
	}

	.content-banner img{
		width: 538px;
		height: 500px;
	}

	.container-features {
		grid-template-columns: repeat(2, 1fr);
		padding: 3rem 2rem;
	}

	.card-feature {
		padding: 2rem;
	}

	.heading-1 {
		font-size: 2.4rem;
	}

	.card-category {
		height: 12rem;
	}

	.card-category p {
		font-size: 2rem;
		text-align: center;
		line-height: 1;
	}

	.card-category span {
		font-size: 1.4rem;
	}

	.container-options {
		align-items: center;
	}

	.container-options span {
		text-align: center;
		padding: 1rem 2rem;
	}

	.container-products {
		grid-template-columns: repeat(auto-fit, minmax(28rem, 1fr));
	}

	.container-blogs {
		overflow: hidden;
		grid-template-columns: 1fr 1fr;
		height: 92rem;
	}

	.menu-footer {
		grid-template-columns: repeat(1fr, 1fr);
	}

	.copyright {
		flex-direction: column;
		justify-content: center;
		align-items: center;
		gap: 1.5rem;
	}
}

@media screen and (min-width: 1023px) {
	.nav{
		height: calc(var(--header-height) + 2rem);
		column-gap: 3rem;
	}

	.nav__close, .nav__toggle{
		display: none;
	}

	.nav__menu{
		margin-left: auto;
	}

	.nav-list{
		flex-direction: row;
		column-gap: 3rem;
	}
}

@media screen and (min-width: 1150px) {
	.container{
		margin-inline: auto;
	}
}